Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/grid_transform_connector.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/grid_transform_connector.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/grid_transform_connector.cpp	(revision 2267)
@@ -16,8 +16,8 @@
     int nElements = srcViews_.size() ;
 
-    CGridRemoteConnector remoteConnector(srcViews_, remoteViews_, localComm_, commSize) ;  
-    remoteConnector.computeConnector() ;
+    auto remoteConnector = make_shared<CGridRemoteConnector>(srcViews_, remoteViews_, localComm_, commSize) ;  
+    remoteConnector->computeConnector() ;
     
-    vector<CDistributedElement*> sendElements(nElements) ;
+    vector<shared_ptr<CDistributedElement>> sendElements(nElements) ;
     scattererConnector_.resize(nElements) ;
     gathererConnector_.resize(nElements) ;
@@ -25,7 +25,7 @@
     for(int i=0;i<nElements;i++)
     {
-      sendElements[i] = new CDistributedElement(srcViews_[i]->getGlobalSize(), remoteConnector.getDistributedGlobalIndex(i)) ;
+      sendElements[i] = make_shared<CDistributedElement>(srcViews_[i]->getGlobalSize(), remoteConnector->getDistributedGlobalIndex(i)) ;
       sendElements[i]->addFullView() ;
-      scattererConnector_[i] = new CScattererConnector(srcViews_[i], sendElements[i]->getView(CElementView::FULL), localComm_, commSize) ;
+      scattererConnector_[i] = make_shared<CScattererConnector>(srcViews_[i], sendElements[i]->getView(CElementView::FULL), localComm_, commSize) ;
       scattererConnector_[i]->computeConnector() ;
       std::map<int, CArray<size_t,1>>& sendIndex = sendElements[i]->getGlobalIndex() ;
@@ -75,12 +75,12 @@
       // create gatherer connector
 
-      CDistributedElement recvElement(remoteViews_[i]->getGlobalSize(), recvIndex) ;
-      recvElement.addFullView() ;
-      gathererConnector_[i] = new CGathererConnector(recvElement.getView(CElementView::FULL), remoteViews_[i]) ;
+      auto recvElement = make_shared<CDistributedElement>(remoteViews_[i]->getGlobalSize(), recvIndex) ;
+      recvElement->addFullView() ;
+      gathererConnector_[i] = make_shared<CGathererConnector>(recvElement->getView(CElementView::FULL), remoteViews_[i]) ;
       gathererConnector_[i]->computeConnector() ;
     }
 
-    gridScattererConnector_ = new CGridScattererConnector(scattererConnector_) ;
-    gridGathererConnector_  = new CGridGathererConnector(gathererConnector_) ;
+    gridScattererConnector_ = make_shared<CGridScattererConnector>(scattererConnector_) ;
+    gridGathererConnector_  = make_shared<CGridGathererConnector>(gathererConnector_) ;
   }
 
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/grid_transform_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/grid_transform_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/grid_transform_connector.hpp	(revision 2267)
@@ -18,5 +18,5 @@
      
     public:
-      CGridTransformConnector(vector<CLocalView*> srcViews, vector<CLocalView*> remoteViews, MPI_Comm localComm) 
+      CGridTransformConnector(vector<shared_ptr<CLocalView>> srcViews, vector<shared_ptr<CLocalView>> remoteViews, MPI_Comm localComm) 
                           : srcViews_(srcViews), remoteViews_(remoteViews), localComm_(localComm) 
                           { computeConnector();}
@@ -25,12 +25,12 @@
     protected:
      MPI_Comm localComm_ ;
-     vector<CLocalView*> srcViews_ ;
-     vector<CLocalView*> remoteViews_ ;
+     vector<shared_ptr<CLocalView>> srcViews_ ;
+     vector<shared_ptr<CLocalView>> remoteViews_ ;
      map<int,int> recvRankSize_ ;
 
-     vector<CScattererConnector*> scattererConnector_ ;
-     vector<CGathererConnector*>  gathererConnector_ ;
-     CGridScattererConnector* gridScattererConnector_ ;
-     CGridGathererConnector* gridGathererConnector_ ;
+     vector<shared_ptr<CScattererConnector>> scattererConnector_ ;
+     vector<shared_ptr<CGathererConnector>>  gathererConnector_ ;
+     shared_ptr<CGridScattererConnector> gridScattererConnector_ ;
+     shared_ptr<CGridGathererConnector> gridGathererConnector_ ;
   
     public:
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_connector.hpp	(revision 2267)
@@ -15,6 +15,6 @@
     
     private:
-      CLocalView* srcView_;
-      CLocalView* dstView_;
+      shared_ptr<CLocalView> srcView_;
+      shared_ptr<CLocalView> dstView_;
       int srcSize_ ;
       int dstSize_ ;
@@ -24,5 +24,5 @@
     public:
     
-      CLocalConnector(CLocalView* srcView, CLocalView* dstView) : srcView_(srcView), dstView_(dstView), 
+      CLocalConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView) : srcView_(srcView), dstView_(dstView), 
                                                                   srcSize_(srcView->getSize()), dstSize_(dstView->getSize()) {}
       void computeConnector(void);
@@ -59,5 +59,5 @@
       }
 
-      template<typename T> void transfer(CLocalConnector** connectors, int nConnectors, const T* input, T* output)
+      template<typename T> void transfer(shared_ptr<CLocalConnector>* connectors, int nConnectors, const T* input, T* output)
       {
 
@@ -91,5 +91,5 @@
       }
 
-      template<typename T> void transfer(CLocalConnector** connectors, int nConnectors, const T* input, T* output, T missingValue)
+      template<typename T> void transfer(shared_ptr<CLocalConnector>* connectors, int nConnectors, const T* input, T* output, T missingValue)
       {
         int size=mask_.size() ;
@@ -123,8 +123,8 @@
       }
 
-      int getSrcSliceSize(CLocalConnector** connectors, int nConnectors) 
+      int getSrcSliceSize(shared_ptr<CLocalConnector>* connectors, int nConnectors) 
       { if (nConnectors==0) return srcSize_ ; else return srcSize_ * (*(connectors-1))->getSrcSliceSize(connectors-1,nConnectors-1) ; }
 
-      int getDstSliceSize(CLocalConnector** connectors, int nConnectors) 
+      int getDstSliceSize(shared_ptr<CLocalConnector>* connectors, int nConnectors) 
       { if (nConnectors==0) return dstSize_ ; else return dstSize_ * (*(connectors-1))->getDstSliceSize(connectors-1,nConnectors-1) ; }
 
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_view.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_view.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_view.cpp	(revision 2267)
@@ -6,5 +6,5 @@
 namespace xios
 {
-  CLocalView::CLocalView(CLocalElement* parent, CElementView::type type, const CArray<int,1>& indexView) 
+  CLocalView::CLocalView(shared_ptr<CLocalElement> parent, CElementView::type type, const CArray<int,1>& indexView) 
                         : CDistributedView( parent, type, {{  parent->localRank_,  indexView }} ),
                           localRank_(parent->localRank_),
@@ -15,5 +15,5 @@
   }
 
-  CLocalView::CLocalView(CLocalElement* parent, CElementView::type type, const CArray<bool,1>& maskView) 
+  CLocalView::CLocalView(shared_ptr<CLocalElement> parent, CElementView::type type, const CArray<bool,1>& maskView) 
                         : CDistributedView( parent, type, {{  parent->localRank_,  maskView }} ),
                           localRank_(parent->localRank_),
@@ -24,5 +24,5 @@
   }
 
-  void CLocalView::sendRemoteElement(CRemoteConnector& connector, CContextClient* client, CEventClient& event, const CMessage& messageHeader)
+  void CLocalView::sendRemoteElement(shared_ptr<CRemoteConnector> connector, CContextClient* client, CEventClient& event, const CMessage& messageHeader)
   {
     int n = index_.numElements() ;
@@ -36,5 +36,5 @@
     CMessage message(messageHeader) ;
     message<<globalSize_ ;
-    connector.transferToServer(ind, client, event, message) ;
+    connector->transferToServer(ind, client, event, message) ;
   }
 
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_view.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_view.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/local_view.hpp	(revision 2267)
@@ -16,6 +16,6 @@
   {
     public:
-    CLocalView(CLocalElement* parent, CElementView::type type, const CArray<int,1>& indexView) ;
-    CLocalView(CLocalElement* parent, CElementView::type type, const CArray<bool,1>& maskView) ;
+    CLocalView(shared_ptr<CLocalElement> parent, CElementView::type type, const CArray<int,1>& indexView) ;
+    CLocalView(shared_ptr<CLocalElement> parent, CElementView::type type, const CArray<bool,1>& maskView) ;
 
     const CArray<int,1>& getIndex(void) { return index_ ;}
@@ -38,5 +38,5 @@
     }    
 
-    void getGlobalIndex(vector<size_t>& globalIndex, size_t sliceIndex, size_t* sliceSize, CLocalView** localView, int pos)
+    void getGlobalIndex(vector<size_t>& globalIndex, size_t sliceIndex, size_t* sliceSize, shared_ptr<CLocalView>* localView, int pos)
     {
       if (pos==0)
@@ -56,5 +56,5 @@
     int getLocalSize(void) {return localSize_ ;}
     int getSize(void) {return size_;} 
-    void sendRemoteElement(CRemoteConnector& connector, CContextClient* client, CEventClient& event, const CMessage& messageHeader) ;
+    void sendRemoteElement(shared_ptr<CRemoteConnector> connector, CContextClient* client, CEventClient& event, const CMessage& messageHeader) ;
    
     CArray<size_t,1>& globalIndex_ ;
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/reduce_transform_connector.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/reduce_transform_connector.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/reduce_transform_connector.cpp	(revision 2267)
@@ -5,5 +5,5 @@
 {
 
-  CReduceTransformConnector::CReduceTransformConnector(CLocalView* srcView, CLocalView* dstView, EReduction op, 
+  CReduceTransformConnector::CReduceTransformConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView, EReduction op, 
                                                        unordered_map<int, std::vector<int>>& indexMap, bool detectMissingValue)
    : srcView_(srcView), dstView_(dstView), detectMissingValue_(detectMissingValue)
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/reduce_transform_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/reduce_transform_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/reduce_transform_connector.hpp	(revision 2267)
@@ -17,6 +17,6 @@
     
     private:
-      CLocalView* srcView_;
-      CLocalView* dstView_;
+      shared_ptr<CLocalView> srcView_;
+      shared_ptr<CLocalView> dstView_;
 
       vector<int> connector_;  //  sizeof sum(nWeights_)  
@@ -34,5 +34,5 @@
     public:
 
-    CReduceTransformConnector(CLocalView* srcView, CLocalView* dstView, EReduction op, unordered_map<int, std::vector<int>>& indexMap, 
+    CReduceTransformConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView, EReduction op, unordered_map<int, std::vector<int>>& indexMap, 
                               bool detectMissingValue=true) ;
  
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/remote_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/remote_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/remote_connector.hpp	(revision 2267)
@@ -17,6 +17,6 @@
   {
     private:
-      CLocalView* srcView_;
-      CDistributedView* dstView_;
+      shared_ptr<CLocalView> srcView_;
+      shared_ptr<CDistributedView> dstView_;
       map<int, vector<int>> connector_ ; // connector[rank][srcIndex]
 
@@ -26,5 +26,5 @@
     
     public:
-      CRemoteConnector(CLocalView* srcView, CDistributedView* dstView, MPI_Comm localComm) : srcView_(srcView), dstView_(dstView), localComm_(localComm){} ;
+      CRemoteConnector(shared_ptr<CLocalView> srcView, shared_ptr<CDistributedView> dstView, MPI_Comm localComm) : srcView_(srcView), dstView_(dstView), localComm_(localComm){} ;
       void computeConnector(void) ;
       map<int, CArray<size_t,1>>& getDistributedGlobalIndex() { return element_ ;} 
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/scatterer_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/scatterer_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/scatterer_connector.hpp	(revision 2267)
@@ -23,6 +23,6 @@
       int remoteCommSize_ ;
 
-      CLocalView* srcView_ ;
-      CDistributedView* dstView_ ;
+      shared_ptr<CLocalView> srcView_ ;
+      shared_ptr<CDistributedView> dstView_ ;
       map<int,int> nbSenders_ ; // number of participant when sending remote buffer
       int srcSize_ ;
@@ -31,5 +31,5 @@
     public:
 
-    CScattererConnector(CLocalView* srcView, CDistributedView* dstView, MPI_Comm localComm, int remoteCommSize) 
+    CScattererConnector(shared_ptr<CLocalView> srcView, shared_ptr<CDistributedView> dstView, MPI_Comm localComm, int remoteCommSize) 
                        : srcView_(srcView), dstView_(dstView), localComm_(localComm), remoteCommSize_(remoteCommSize) {}
     void computeConnector(void) ;
@@ -147,5 +147,5 @@
 
     template<typename T> 
-    void transfer(int rank, CScattererConnector** connectors, int nConnectors, const T* input, T* output)
+    void transfer(int rank, shared_ptr<CScattererConnector>* connectors, int nConnectors, const T* input, T* output)
     {
       auto& connector = connector_[rank] ; // probably costly, find a better way to avoid the map
@@ -197,8 +197,8 @@
     }
 
-    int getSrcSliceSize(CScattererConnector** connectors, int nConnectors) 
+    int getSrcSliceSize(shared_ptr<CScattererConnector>* connectors, int nConnectors) 
     { if (nConnectors==0) return srcSize_ ; else return srcSize_ * (*(connectors-1))->getSrcSliceSize(connectors-1,nConnectors-1) ; }
 
-    int getDstSliceSize(int rank, CScattererConnector** connectors, int nConnectors) 
+    int getDstSliceSize(int rank, shared_ptr<CScattererConnector>* connectors, int nConnectors) 
     { if (nConnectors==0) return dstSize_[rank] ; else return dstSize_[rank] * (*(connectors-1))->getDstSliceSize(rank, connectors-1,nConnectors-1) ; }
 
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transfer_transform_connector.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transfer_transform_connector.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transfer_transform_connector.cpp	(revision 2267)
@@ -4,5 +4,5 @@
 {
 
-  CTransferTransformConnector::CTransferTransformConnector(CLocalView* srcView, CLocalView* dstView, unordered_map<int, int>& indexMap) 
+  CTransferTransformConnector::CTransferTransformConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView, unordered_map<int, int>& indexMap) 
     : srcView_(srcView), dstView_(dstView)
   {
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transfer_transform_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transfer_transform_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transfer_transform_connector.hpp	(revision 2267)
@@ -15,6 +15,6 @@
     
     private:
-      CLocalView* srcView_;
-      CLocalView* dstView_;
+      shared_ptr<CLocalView> srcView_;
+      shared_ptr<CLocalView> dstView_;
 
       vector<int> connector_;    
@@ -27,5 +27,5 @@
     public:
 
-    CTransferTransformConnector(CLocalView* srcView, CLocalView* dstView, unordered_map<int, int>& indexMap) ;
+    CTransferTransformConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView, unordered_map<int, int>& indexMap) ;
  
     void transfer(int repeat, int sizeT, const CArray<double,1>& dataIn, CArray<double,1>& dataOut)
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transform_connector.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transform_connector.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transform_connector.cpp	(revision 2267)
@@ -56,11 +56,11 @@
 
     // distributed element : where to send data
-    CDistributedElement dstElement(srcView_->getGlobalSize(), dstArrayIndex) ;
-    dstElement.addFullView() ;
+    auto dstElement = make_shared<CDistributedElement>(srcView_->getGlobalSize(), dstArrayIndex) ;
+    dstElement->addFullView() ;
     
     // create scatterer connector
     int commSize ;
     MPI_Comm_size(localComm_, &commSize) ;
-    scattererConnector_ = new CScattererConnector(srcView_, dstElement.getView(CElementView::FULL), localComm_, commSize ) ;
+    scattererConnector_ = make_shared<CScattererConnector>(srcView_, dstElement->getView(CElementView::FULL), localComm_, commSize ) ;
     scattererConnector_->computeConnector() ;
 
@@ -98,7 +98,7 @@
     MPI_Waitall(sendReq.size(),sendReq.data(),sendStatus.data()) ;
 
-    CDistributedElement remoteElement(dstView_->getGlobalSize(), remoteArrayIndex) ;
-    remoteElement.addFullView() ;
-    gathererConnector_=new CGathererConnector(remoteElement.getView(CElementView::FULL),dstView_) ;
+    auto remoteElement = make_shared<CDistributedElement>(dstView_->getGlobalSize(), remoteArrayIndex) ;
+    remoteElement->addFullView() ;
+    gathererConnector_= make_shared<CGathererConnector>(remoteElement->getView(CElementView::FULL),dstView_) ;
     gathererConnector_->computeConnector() ;
 
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transform_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transform_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/transform_connector.hpp	(revision 2267)
@@ -18,5 +18,5 @@
      
     public:
-      CTransformConnector(CLocalView* srcView, CLocalView* dstView, MPI_Comm localComm) 
+      CTransformConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView, MPI_Comm localComm) 
                           : srcView_(srcView), dstView_(dstView), localComm_(localComm) {}
     
@@ -25,9 +25,9 @@
 
       MPI_Comm localComm_ ;
-      CLocalView* srcView_ ;
-      CLocalView* dstView_ ;
+      shared_ptr<CLocalView> srcView_ ;
+      shared_ptr<CLocalView> dstView_ ;
       map<int,int> recvRankSize_ ;
-      CScattererConnector* scattererConnector_=nullptr ;
-      CGathererConnector*  gathererConnector_=nullptr ;
+      shared_ptr<CScattererConnector> scattererConnector_ ;
+      shared_ptr<CGathererConnector>  gathererConnector_ ;
    
     public:
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/weight_transform_connector.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/weight_transform_connector.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/weight_transform_connector.cpp	(revision 2267)
@@ -4,5 +4,5 @@
 {
 
-  CWeightTransformConnector::CWeightTransformConnector(CLocalView* srcView, CLocalView* dstView, unordered_map<int, std::vector<int>>& indexMap, 
+  CWeightTransformConnector::CWeightTransformConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView, unordered_map<int, std::vector<int>>& indexMap, 
                                                    unordered_map<int, std::vector<double>>& weightMap) : srcView_(srcView), dstView_(dstView)
   {
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/weight_transform_connector.hpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/weight_transform_connector.hpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/distribution/weight_transform_connector.hpp	(revision 2267)
@@ -15,6 +15,6 @@
     
     private:
-      CLocalView* srcView_;
-      CLocalView* dstView_;
+      shared_ptr<CLocalView> srcView_;
+      shared_ptr<CLocalView> dstView_;
 
       vector<double> weights_; //  sizeof sum(nWeights_)  
@@ -28,5 +28,5 @@
     public:
 
-    CWeightTransformConnector(CLocalView* srcView, CLocalView* dstView, unordered_map<int, std::vector<int>>& indexMap, 
+    CWeightTransformConnector(shared_ptr<CLocalView> srcView, shared_ptr<CLocalView> dstView, unordered_map<int, std::vector<int>>& indexMap, 
                               unordered_map<int, std::vector<double>>& weightMap) ;
  
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/filter/file_reader_source_filter.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/filter/file_reader_source_filter.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/filter/file_reader_source_filter.cpp	(revision 2267)
@@ -71,5 +71,5 @@
   void CFileReaderSourceFilter::readData(CArray<double,1>& data)
   {
-    CGridLocalConnector*  connector = grid_->getFullToWorkflowConnector() ;
+    shared_ptr<CGridLocalConnector> connector = grid_->getFullToWorkflowConnector() ;
     CArray<double,1> dataIn(connector->getSrcSize()) ;
     file_->getDataInput()->readFieldData(field_, nStep_%nStepMax_, dataIn);
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/io/nc4_data_output.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/io/nc4_data_output.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/io/nc4_data_output.cpp	(revision 2267)
@@ -1400,5 +1400,5 @@
               compress = latName + appendDomId + " " + lonName + appendDomId;
      
-              CLocalView* workflowView = domain->getLocalView(CElementView::WORKFLOW) ;
+              shared_ptr<CLocalView> workflowView = domain->getLocalView(CElementView::WORKFLOW) ;
               workflowView->getGlobalIndexView(indexes) ;
               nbIndexes = workflowView->getSize() ;
@@ -1435,5 +1435,5 @@
               compress = axisId;
 
-              CLocalView* workflowView = axis->getLocalView(CElementView::WORKFLOW) ;
+              shared_ptr<CLocalView> workflowView = axis->getLocalView(CElementView::WORKFLOW) ;
               workflowView->getGlobalIndexView(indexes) ;
               nbIndexes = workflowView->getSize() ;
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/memtrack.cpp
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/memtrack.cpp	(revision 2266)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/memtrack.cpp	(revision 2267)
@@ -494,5 +494,5 @@
         }
         
-        xios::CAddr2line myaddr2line ;
+        //xios::CAddr2line myaddr2line ;
         size_t i = 0 ;
         for(auto& it : orderedBlocks)
